Workflows - Create Or Update

Bir iş akışı oluşturur veya güncelleştirir.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/workflows/{workflowName}?api-version=2019-05-01

URI Parametreleri

Name İçinde Gerekli Tür Description
resourceGroupName
path True

string

Kaynak grubu adı.

subscriptionId
path True

string

Abonelik kimliği.

workflowName
path True

string

İş akışı adı.

api-version
query True

string

API sürümü.

İstek Gövdesi

Name Tür Description
identity

ManagedServiceIdentity

Yönetilen hizmet kimliği özellikleri.

location

string

Kaynak konumu.

properties.accessControl

FlowAccessControlConfiguration

Erişim denetimi yapılandırması.

properties.definition

Object

Tanımı.

properties.endpointsConfiguration

FlowEndpointsConfiguration

Uç nokta yapılandırması.

properties.integrationAccount

ResourceReference

Tümleştirme hesabı.

properties.integrationServiceEnvironment

ResourceReference

Tümleştirme hizmeti ortamı.

properties.parameters

<string,  WorkflowParameter>

Parametreler.

properties.state

WorkflowState

Devlet.

tags

object

Kaynak etiketleri.

Yanıtlar

Name Tür Description
200 OK

Workflow

Tamam

201 Created

Workflow

Oluşturuldu

Other Status Codes

ErrorResponse

İşlemin neden başarısız olduğunu açıklayan hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Create or update a workflow

Örnek isteği

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/workflows/test-workflow?api-version=2019-05-01

{
  "properties": {
    "integrationAccount": {
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/integrationAccounts/test-integration-account"
    },
    "definition": {
      "$schema": "https://schema.management.azure.com/providers/Microsoft.Logic/schemas/2016-06-01/workflowdefinition.json#",
      "contentVersion": "1.0.0.0",
      "parameters": {
        "$connections": {
          "defaultValue": {},
          "type": "Object"
        }
      },
      "triggers": {
        "manual": {
          "type": "Request",
          "kind": "Http",
          "inputs": {
            "schema": {}
          }
        }
      },
      "actions": {
        "Find_pet_by_ID": {
          "runAfter": {},
          "type": "ApiConnection",
          "inputs": {
            "host": {
              "connection": {
                "name": "@parameters('$connections')['test-custom-connector']['connectionId']"
              }
            },
            "method": "get",
            "path": "/pet/@{encodeURIComponent('1')}"
          }
        }
      },
      "outputs": {}
    },
    "parameters": {
      "$connections": {
        "value": {
          "test-custom-connector": {
            "connectionId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Web/connections/test-custom-connector",
            "connectionName": "test-custom-connector",
            "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/providers/Microsoft.Web/locations/brazilsouth/managedApis/test-custom-connector"
          }
        }
      }
    }
  },
  "location": "brazilsouth",
  "tags": {}
}

Örnek yanıt

{
  "properties": {
    "provisioningState": "Succeeded",
    "createdTime": "2018-04-25T01:39:21.4365247Z",
    "changedTime": "2018-08-09T22:54:54.3533634Z",
    "state": "Enabled",
    "version": "08586677515911718341",
    "accessEndpoint": "http://tempuri.org",
    "integrationAccount": {
      "name": "test-integration-account",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/integrationAccounts/test-integration-account",
      "type": "Microsoft.Logic/integrationAccounts"
    },
    "integrationServiceEnvironment": {
      "name": "test-integration-service-environment",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/integrationServiceEnvironments/test-integration-service-environment",
      "type": "Microsoft.Logic/integrationServiceEnvironments"
    },
    "definition": {
      "$schema": "https://schema.management.azure.com/providers/Microsoft.Logic/schemas/2016-06-01/workflowdefinition.json#",
      "contentVersion": "1.0.0.0",
      "parameters": {},
      "triggers": {},
      "actions": {},
      "outputs": {}
    },
    "parameters": {},
    "endpointsConfiguration": {
      "workflow": {
        "outgoingIpAddresses": [
          {
            "address": "13.84.159.168"
          },
          {
            "address": "13.65.86.56"
          },
          {
            "address": "13.65.82.190"
          }
        ],
        "accessEndpointIpAddresses": [
          {
            "address": "104.210.153.89"
          },
          {
            "address": "13.85.79.155"
          },
          {
            "address": "13.65.39.247"
          }
        ]
      },
      "connector": {
        "outgoingIpAddresses": [
          {
            "address": "40.84.145.61"
          }
        ]
      }
    }
  }
}
{
  "properties": {
    "provisioningState": "Succeeded",
    "createdTime": "2018-04-25T01:39:21.4365247Z",
    "changedTime": "2018-08-09T22:54:54.3533634Z",
    "state": "Enabled",
    "version": "08586677515911718341",
    "accessEndpoint": "http://tempuri.org",
    "integrationAccount": {
      "name": "test-integration-account",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/integrationAccounts/test-integration-account",
      "type": "Microsoft.Logic/integrationAccounts"
    },
    "integrationServiceEnvironment": {
      "name": "test-integration-service-environment",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Logic/integrationServiceEnvironments/test-integration-service-environment",
      "type": "Microsoft.Logic/integrationServiceEnvironments"
    },
    "definition": {
      "$schema": "https://schema.management.azure.com/providers/Microsoft.Logic/schemas/2016-06-01/workflowdefinition.json#",
      "contentVersion": "1.0.0.0",
      "parameters": {},
      "triggers": {},
      "actions": {},
      "outputs": {}
    },
    "parameters": {},
    "endpointsConfiguration": {
      "workflow": {
        "outgoingIpAddresses": [
          {
            "address": "13.84.159.168"
          },
          {
            "address": "13.65.86.56"
          },
          {
            "address": "13.65.82.190"
          }
        ],
        "accessEndpointIpAddresses": [
          {
            "address": "104.210.153.89"
          },
          {
            "address": "13.85.79.155"
          },
          {
            "address": "13.65.39.247"
          }
        ]
      },
      "connector": {
        "outgoingIpAddresses": [
          {
            "address": "40.84.145.61"
          }
        ]
      }
    }
  }
}

Tanımlar

Name Description
ErrorProperties

Hata özellikleri, Mantık hizmetinin gelen isteği neden işleyemediğini gösterir. Nedeni hata iletisinde sağlanır.

ErrorResponse

Hata yanıtı, Mantıksal hizmetin gelen isteği işleyemediğini gösterir. error özelliği hata ayrıntılarını içerir.

FlowAccessControlConfiguration

Erişim denetimi yapılandırması.

FlowAccessControlConfigurationPolicy

Erişim denetimi yapılandırma ilkesi.

FlowEndpoints

Akış uç noktaları yapılandırması.

FlowEndpointsConfiguration

Uç nokta yapılandırması.

IpAddress

ip adresi.

IpAddressRange

IP adresi aralığı.

ManagedServiceIdentity

Yönetilen hizmet kimliği özellikleri.

ManagedServiceIdentityType

Yönetilen hizmet kimliği türü. 'SystemAssigned' türü örtük olarak oluşturulmuş bir kimlik içerir. 'Hiçbiri' türü kaynaktan tüm kimlikleri kaldırır.

Object
OpenAuthenticationAccessPolicies

AuthenticationPolicy türünde Open.

OpenAuthenticationAccessPolicy

Kullanıcı tarafından tanımlanan açık kimlik doğrulama erişim ilkesi.

OpenAuthenticationPolicyClaim

Kimlik doğrulama ilkesi talebini açın.

OpenAuthenticationProviderType

Kimlik doğrulama ilkesi sağlayıcı türünü açın.

ParameterType

Parametre türü.

ResourceReference

Kaynak başvurusu.

Sku

Sku türü.

SkuName

Sku adı.

userAssignedIdentity

Kullanıcı Tarafından Atanan kimlik özellikleri.

Workflow

İş akışı türü.

WorkflowParameter

İş akışı parametreleri.

WorkflowProvisioningState

İş akışı sağlama durumu.

WorkflowState

İş akışı durumu.

ErrorProperties

Hata özellikleri, Mantık hizmetinin gelen isteği neden işleyemediğini gösterir. Nedeni hata iletisinde sağlanır.

Name Tür Description
code

string

Hata kodu.

message

string

İşlemin neden başarısız olduğunu gösteren hata iletisi.

ErrorResponse

Hata yanıtı, Mantıksal hizmetin gelen isteği işleyemediğini gösterir. error özelliği hata ayrıntılarını içerir.

Name Tür Description
error

ErrorProperties

Hata özellikleri.

FlowAccessControlConfiguration

Erişim denetimi yapılandırması.

Name Tür Description
actions

FlowAccessControlConfigurationPolicy

İş akışı eylemleri için erişim denetimi yapılandırması.

contents

FlowAccessControlConfigurationPolicy

İş akışı çalıştırma içeriğine erişmek için erişim denetimi yapılandırması.

triggers

FlowAccessControlConfigurationPolicy

İş akışı tetikleyicilerini çağırmak için erişim denetimi yapılandırması.

workflowManagement

FlowAccessControlConfigurationPolicy

İş akışı yönetimi için erişim denetimi yapılandırması.

FlowAccessControlConfigurationPolicy

Erişim denetimi yapılandırma ilkesi.

Name Tür Description
allowedCallerIpAddresses

IpAddressRange[]

İzin verilen arayan IP adresi aralıkları.

openAuthenticationPolicies

OpenAuthenticationAccessPolicies

İş akışı için kimlik doğrulama ilkeleri.

FlowEndpoints

Akış uç noktaları yapılandırması.

Name Tür Description
accessEndpointIpAddresses

IpAddress[]

Erişim uç noktası ip adresi.

outgoingIpAddresses

IpAddress[]

Giden ip adresi.

FlowEndpointsConfiguration

Uç nokta yapılandırması.

Name Tür Description
connector

FlowEndpoints

Bağlayıcı uç noktaları.

workflow

FlowEndpoints

İş akışı uç noktaları.

IpAddress

ip adresi.

Name Tür Description
address

string

Adres.

IpAddressRange

IP adresi aralığı.

Name Tür Description
addressRange

string

IP adresi aralığı.

ManagedServiceIdentity

Yönetilen hizmet kimliği özellikleri.

Name Tür Description
principalId

string (uuid)

Yönetilen hizmet kimliğinin asıl kimliği.

tenantId

string (uuid)

Yönetilen hizmet kimliğinin kiracısı.

type

ManagedServiceIdentityType

Yönetilen hizmet kimliği türü. 'SystemAssigned' türü örtük olarak oluşturulmuş bir kimlik içerir. 'Hiçbiri' türü kaynaktan tüm kimlikleri kaldırır.

userAssignedIdentities

<string,  userAssignedIdentity>

Kaynakla ilişkili kullanıcı tarafından atanan kimliklerin listesi. Kullanıcı kimliği sözlüğü anahtar başvuruları şu biçimde ARM kaynak kimlikleri olacaktır: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}

ManagedServiceIdentityType

Yönetilen hizmet kimliği türü. 'SystemAssigned' türü örtük olarak oluşturulmuş bir kimlik içerir. 'Hiçbiri' türü kaynaktan tüm kimlikleri kaldırır.

Değer Description
SystemAssigned
UserAssigned
None

Object

OpenAuthenticationAccessPolicies

AuthenticationPolicy türünde Open.

Name Tür Description
policies

<string,  OpenAuthenticationAccessPolicy>

Kimlik doğrulama ilkelerini açın.

OpenAuthenticationAccessPolicy

Kullanıcı tarafından tanımlanan açık kimlik doğrulama erişim ilkesi.

Name Tür Description
claims

OpenAuthenticationPolicyClaim[]

Erişim ilkesi talepleri.

type

OpenAuthenticationProviderType

OAuth için sağlayıcı türü.

OpenAuthenticationPolicyClaim

Kimlik doğrulama ilkesi talebini açın.

Name Tür Description
name

string

Talebin adı.

value

string

Talep değeri.

OpenAuthenticationProviderType

Kimlik doğrulama ilkesi sağlayıcı türünü açın.

Değer Description
AAD

ParameterType

Parametre türü.

Değer Description
NotSpecified
String
SecureString
Int
Float
Bool
Array
Object
SecureObject

ResourceReference

Kaynak başvurusu.

Name Tür Description
id

string

Kaynak kimliği.

name

string

Kaynak adını alır.

type

string

Kaynak türünü alır.

Sku

Sku türü.

Name Tür Description
name

SkuName

Adı.

plan

ResourceReference

Plana başvuru.

SkuName

Sku adı.

Değer Description
NotSpecified
Free
Shared
Basic
Standard
Premium

userAssignedIdentity

Kullanıcı Tarafından Atanan kimlik özellikleri.

Name Tür Description
clientId

string

Kullanıcı tarafından atanan kimliğin İstemci Kimliği

principalId

string

Kullanıcı tarafından atanan kimliğin Asıl Kimliği

Workflow

İş akışı türü.

Name Tür Description
id

string

Kaynak kimliği.

identity

ManagedServiceIdentity

Yönetilen hizmet kimliği özellikleri.

location

string

Kaynak konumu.

name

string

Kaynak adını alır.

properties.accessControl

FlowAccessControlConfiguration

Erişim denetimi yapılandırması.

properties.accessEndpoint

string

Erişim uç noktasını alır.

properties.changedTime

string (date-time)

Değiştirilen zamanı alır.

properties.createdTime

string (date-time)

Oluşturulan zamanı alır.

properties.definition

Object

Tanımı.

properties.endpointsConfiguration

FlowEndpointsConfiguration

Uç nokta yapılandırması.

properties.integrationAccount

ResourceReference

Tümleştirme hesabı.

properties.integrationServiceEnvironment

ResourceReference

Tümleştirme hizmeti ortamı.

properties.parameters

<string,  WorkflowParameter>

Parametreler.

properties.provisioningState

WorkflowProvisioningState

Sağlama durumunu alır.

properties.sku

Sku

Sku.

properties.state

WorkflowState

Devlet.

properties.version

string

Sürümü alır.

tags

object

Kaynak etiketleri.

type

string

Kaynak türünü alır.

WorkflowParameter

İş akışı parametreleri.

Name Tür Description
description

string

Açıklama.

metadata

Object

Meta veriler.

type

ParameterType

Türü.

value

Object

Değer.

WorkflowProvisioningState

İş akışı sağlama durumu.

Değer Description
NotSpecified
Accepted
Running
Ready
Creating
Created
Deleting
Deleted
Canceled
Failed
Succeeded
Moving
Updating
Registering
Registered
Unregistering
Unregistered
Completed
Renewing
Pending
Waiting
InProgress

WorkflowState

İş akışı durumu.

Değer Description
NotSpecified
Completed
Enabled
Disabled
Deleted
Suspended